function plotDistribution2D(sizeData, roundnessData)
minSize = 0;
maxSize = 400;
sizePivotVector = 20:40:400;
sizeBndVector = 0:40:400;
roundnesPivotVector = 0.05:0.1:1;
roundnessBndVector = 0:0.1:1;
[sizeGrid, roundnessGrid] = meshgrid(sizePivotVector, roundnesPivotVector);
zData = 0*sizeGrid;

for iSample = 1:length(sizeData)
    xIndex = find((sizeData(iSample) >= sizeBndVector(1:(end-1))) & ...
                  (sizeData(iSample) < sizeBndVector(2:end)));
    yIndex = find((roundnessData(iSample) >= roundnessBndVector(1:(end-1))) & ...
                  (roundnessData(iSample) < roundnessBndVector(2:end)));
   
    zData(xIndex, yIndex) = zData(xIndex, yIndex) + sizeData(iSample)^3;
end
zData = zData / sum(zData(:));

contourf(sizeGrid, roundnessGrid, zData);
% plot(xPlotVector, yPlotVector, 'rx-', 'color', color, 'lineWidth', 3)